{
    "$graph": [
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/picard:092d034713aff237cf07ef28c22a46a113d1a59dc7ec6d71beb72295044a46f8"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 49152,
                    "ramMax": 49152,
                    "tmpdirMin": 1000,
                    "tmpdirMax": 1000,
                    "outdirMin": 1000,
                    "outdirMax": 1000
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#picard_collecthsmetrics.cwl/BAIT_INTERVALS",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "BAIT_INTERVALS=",
                        "position": 10,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/BAIT_SET_NAME",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "BAIT_SET_NAME=",
                        "position": 11,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/CLIP_OVERLAPPING_READS",
                    "type": "string",
                    "default": "true",
                    "inputBinding": {
                        "prefix": "CLIP_OVERLAPPING_READS=",
                        "position": 12,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/COVERAGE_CAP",
                    "type": "int",
                    "default": 200,
                    "inputBinding": {
                        "prefix": "COVERAGE_CAP=",
                        "position": 13,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/INPUT",
                    "type": "File",
                    "format": "#picard_collecthsmetrics.cwl/format_2572",
                    "inputBinding": {
                        "prefix": "INPUT=",
                        "position": 14,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/METRIC_ACCUMULATION_LEVEL",
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "METRIC_ACCUMULATION_LEVEL=",
                            "position": 15,
                            "separate": false
                        }
                    },
                    "default": [
                        "ALL_READS",
                        "LIBRARY",
                        "SAMPLE",
                        "READ_GROUP"
                    ]
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/MINIMUM_BASE_QUALITY",
                    "type": "int",
                    "default": 20,
                    "inputBinding": {
                        "prefix": "MINIMUM_BASE_QUALITY=",
                        "position": 16,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/MINIMUM_MAPPING_QUALITY",
                    "type": "int",
                    "default": 20,
                    "inputBinding": {
                        "prefix": "MINIMUM_MAPPING_QUALITY=",
                        "position": 17,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/NEAR_DISTANCE",
                    "type": "int",
                    "default": 250,
                    "inputBinding": {
                        "prefix": "NEAR_DISTANCE=",
                        "position": 18,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/OUTPUT",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "OUTPUT=",
                        "position": 19,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/PER_BASE_COVERAGE",
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "PER_BASE_COVERAGE=",
                        "position": 20,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/PER_TARGET_COVERAGE",
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "PER_TARGET_COVERAGE=",
                        "position": 21,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/REFERENCE_SEQUENCE",
                    "type": "File",
                    "format": "#picard_collecthsmetrics.cwl/format_1929",
                    "inputBinding": {
                        "prefix": "REFERENCE_SEQUENCE=",
                        "position": 22,
                        "separate": false
                    },
                    "secondaryFiles": [
                        ".fai"
                    ]
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/SAMPLE_SIZE",
                    "type": "int",
                    "default": 10000,
                    "inputBinding": {
                        "prefix": "SAMPLE_SIZE=",
                        "position": 23,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/TARGET_INTERVALS",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "TARGET_INTERVALS=",
                        "position": 24,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/VALIDATION_STRINGENCY",
                    "default": "STRICT",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "VALIDATION_STRINGENCY=",
                        "position": 25,
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collecthsmetrics.cwl/java_xmx",
                    "default": "48G",
                    "type": "string",
                    "inputBinding": {
                        "position": -10,
                        "prefix": "-Xmx",
                        "separate": false
                    }
                }
            ],
            "arguments": [
                {
                    "valueFrom": "-jar",
                    "position": -9
                },
                {
                    "valueFrom": "/usr/local/bin/picard.jar",
                    "position": -8
                },
                {
                    "valueFrom": "CollectHsMetrics",
                    "position": -7
                }
            ],
            "baseCommand": [
                "java"
            ],
            "id": "#picard_collecthsmetrics.cwl",
            "outputs": [
                {
                    "id": "#picard_collecthsmetrics.cwl/METRIC_OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.OUTPUT)"
                    }
                }
            ]
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/picard_metrics_sqlite:e71798322233d02d67db0158aeeef27990d2d400aadfc92c3687ba85555b0cf8"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 10,
                    "tmpdirMax": 10,
                    "outdirMin": 10,
                    "outdirMax": 10
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#picard_collecthsmetrics_to_sqlite.cwl/bam",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--bam"
                    }
                },
                {
                    "id": "#picard_collecthsmetrics_to_sqlite.cwl/input_state",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--input_state"
                    }
                },
                {
                    "id": "#picard_collecthsmetrics_to_sqlite.cwl/metric_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--metric_path"
                    }
                },
                {
                    "id": "#picard_collecthsmetrics_to_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#picard_collecthsmetrics_to_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid+\"_picard_CollectHsMetrics.log\")"
                    }
                },
                {
                    "id": "#picard_collecthsmetrics_to_sqlite.cwl/sqlite",
                    "format": "#picard_collecthsmetrics_to_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/picard_metrics_sqlite",
                "--metric_name",
                "CollectHsMetrics"
            ],
            "id": "#picard_collecthsmetrics_to_sqlite.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "name": "#capture_kit.yml/capture_kit_set_file",
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#capture_kit.yml/capture_kit_set_file/capture_kit_bait_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#capture_kit.yml/capture_kit_set_file/capture_kit_target_file",
                                    "type": "File"
                                }
                            ]
                        },
                        {
                            "name": "#capture_kit.yml/capture_kit_set_uuid",
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#capture_kit.yml/capture_kit_set_uuid/capture_kit_bait_uuid",
                                    "type": "string"
                                },
                                {
                                    "name": "#capture_kit.yml/capture_kit_set_uuid/capture_kit_bait_file_size",
                                    "type": "long"
                                },
                                {
                                    "name": "#capture_kit.yml/capture_kit_set_uuid/capture_kit_target_uuid",
                                    "type": "string"
                                },
                                {
                                    "name": "#capture_kit.yml/capture_kit_set_uuid/capture_kit_target_file_size",
                                    "type": "long"
                                }
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#main/bam",
                    "type": "File"
                },
                {
                    "id": "#main/capture_kit_set_file",
                    "type": "#capture_kit.yml/capture_kit_set_file"
                },
                {
                    "id": "#main/fasta",
                    "type": "File",
                    "secondaryFiles": [
                        ".amb",
                        ".ann",
                        ".bwt",
                        ".fai",
                        ".pac",
                        ".sa",
                        "^.dict"
                    ]
                },
                {
                    "id": "#main/input_state",
                    "type": "string"
                },
                {
                    "id": "#main/job_uuid",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#main/sqlite",
                    "type": "File",
                    "outputSource": "#main/picard_collecthsmetrics_to_sqlite/sqlite"
                }
            ],
            "steps": [
                {
                    "id": "#main/picard_collecthsmetrics",
                    "run": "#picard_collecthsmetrics.cwl",
                    "in": [
                        {
                            "id": "#main/picard_collecthsmetrics/BAIT_INTERVALS",
                            "source": "#main/capture_kit_set_file",
                            "valueFrom": "$(self.capture_kit_bait_file)"
                        },
                        {
                            "id": "#main/picard_collecthsmetrics/INPUT",
                            "source": "#main/bam"
                        },
                        {
                            "id": "#main/picard_collecthsmetrics/OUTPUT",
                            "source": "#main/bam",
                            "valueFrom": "$(self.basename).hsmetrics"
                        },
                        {
                            "id": "#main/picard_collecthsmetrics/REFERENCE_SEQUENCE",
                            "source": "#main/fasta"
                        },
                        {
                            "id": "#main/picard_collecthsmetrics/TARGET_INTERVALS",
                            "source": "#main/capture_kit_set_file",
                            "valueFrom": "$(self.capture_kit_target_file)"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/picard_collecthsmetrics/METRIC_OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/picard_collecthsmetrics_to_sqlite",
                    "run": "#picard_collecthsmetrics_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/picard_collecthsmetrics_to_sqlite/bam",
                            "source": "#main/bam",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/picard_collecthsmetrics_to_sqlite/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/picard_collecthsmetrics_to_sqlite/metric_path",
                            "source": "#main/picard_collecthsmetrics/METRIC_OUTPUT"
                        },
                        {
                            "id": "#main/picard_collecthsmetrics_to_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/picard_collecthsmetrics_to_sqlite/log"
                        },
                        {
                            "id": "#main/picard_collecthsmetrics_to_sqlite/sqlite"
                        }
                    ]
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
